Bug 1470823 - nagios-plugins-load (2.2.1-1.fc26.x86_64) fails with error message: CRITICAL - You need more args
Summary: nagios-plugins-load (2.2.1-1.fc26.x86_64) fails with error message: CRITICAL ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios-plugins
Version: 29
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-13 18:30 UTC by Dennis Schafroth
Modified: 2019-04-06 20:22 UTC (History)
14 users (show)

Fixed In Version: nagios-plugins-2.2.1-4git.fc26 nagios-plugins-2.2.1-15.20180725git3429dad.el7 nagios-plugins-2.2.1-15.20180725git3429dad.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-30 03:11:52 UTC


Attachments (Terms of Use)

Description Dennis Schafroth 2017-07-13 18:30:17 UTC
Description of problem:

check_load fails with error:

# /usr/lib64/nagios/plugins/check_load -w 10,5,4 -c 15,10,5
CRITICAL - You need more args!!!
Error opening 
# 

Version-Release number of selected component (if applicable):
2.2.1-1.fc26.x86_64 

How reproducible:
Every time

Steps to Reproduce:
1. install package
2. Run in terminal:
/usr/lib64/nagios/plugins/check_load -w 10,5,4 -c 15,10,5

Actual results:

CRITICAL - You need more args!!!
Error opening 

Expected results:

OK - load average: 0.05, 0.05, 0.03|load1=0.048;10.000;15.000;0; load5=0.050;5.000;10.000;0; load15=0.033;4.000;5.000;0; 

Additional info:

- Using the 2.2 executable from debian stretch works.
- Package on F25 also worked.
- selinux is disabled

Comment 1 Dennis Schafroth 2017-07-13 18:35:47 UTC
Similar problem with 

nagios-plugins-procs-2.2.1-1.fc26.x86_64

returns: Unable to read output

Comment 2 Vadym Chepkov 2017-07-13 23:43:00 UTC
and nagios-plugins-ping-2.2.1-1.fc26.x86_64

$ /usr/lib64/nagios/plugins/check_ping -H 127.0.0.1  -w 100.0,20% -c 500.0,60% -p 1 -t 30 -4
CRITICAL - You need more args!!!
Could not open pipe:

Comment 3 Stephen John Smoogen 2017-07-14 17:24:45 UTC
Confirmed that something is not right with F26 vs F25/EPEL

Comment 4 Fedora Update System 2017-07-14 18:57:19 UTC
nagios-plugins-2.2.1-4git.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2e82de3b3

Comment 5 Fedora Update System 2017-07-16 21:20:49 UTC
nagios-plugins-2.2.1-4git.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2e82de3b3

Comment 6 Fedora Update System 2017-08-03 15:52:19 UTC
nagios-plugins-2.2.1-4git.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 redhatbugzilla 2017-11-06 03:10:49 UTC
I'm not sure if it is best to note it here but on Fedora 27 this is not yet fixed.

/usr/lib64/nagios/plugins/check_load -w 1,2,3 -c 4,5,6
CRITICAL - You need more args!!!

Applies to nagios-plugins-load-2.2.1-2git.fc27.x86_64

Comment 8 redhatbugzilla 2017-11-07 00:18:54 UTC
Copying the check_load binary from a Fedora 26 installation is a workaround until this is fixed

Note: There is a similar problem with check_load and the same workaround also fixes that

Comment 9 John 2017-11-14 17:21:34 UTC
Come on. Problem still present in Rawhide, with check_load and check_procs:

nrpe.cfg:
command[check_load]=/usr/lib64/nagios/plugins/check_load -r -w .15,.10,.05 -c .30,.25,.20
command[check_zombie_procs]=/usr/lib64/nagios/plugins/check_procs -w 5 -c 10 -s Z
command[check_total_procs]=/usr/lib64/nagios/plugins/check_procs -w 350 -c 450

gives:

Current Load
	UNKNOWN 	11-15-2017 03:44:58 	0d 0h 36m 3s 	3/3 	CRITICAL - You need more args!!! 
	
Total Processes
	UNKNOWN 	11-15-2017 03:44:58 	0d 0h 36m 3s 	3/3 	Unable to read output 
	
Zombie Processes
	UNKNOWN 	11-15-2017 03:44:58 	0d 0h 36m 3s 	3/3 	Unable to read output

Comment 10 Stephen John Smoogen 2017-11-14 17:56:47 UTC
This is me saying... I am very sorry about dropping the ball here. I am putting this and the other plugins on the queue today.

Comment 11 John 2017-11-14 18:26:40 UTC
(In reply to Stephen John Smoogen from comment #10)
> This is me saying... I am very sorry about dropping the ball here. I am
> putting this and the other plugins on the queue today.

No probs Stephen! It's great to know you're looking at the problem. Many thanks.

Comment 12 Mike Gerber 2017-11-17 11:06:33 UTC
Fedora 27 is still affected:

# /usr/lib/nagios/plugins/check_load -w 24,12,10 -c 32,16,12
CRITICAL - You need more args!!!
Error opening 
# rpm -q nagios-plugins-load
nagios-plugins-load-2.2.1-2git.fc27.x86_64

Could you please reopen the bug?

Comment 13 Brian 2018-01-24 03:03:22 UTC
This problem still exists in Fedora 27.  

Per comment #9 , the problem is in line 310 of /etc/nagios/nrpe.cfg

command[check_load]=/usr/lib64/nagios/plugins/check_load -r -w .15,.10,.05 -c .30,.25,.20

should read as follows, without the "."s

command[check_load]=/usr/lib64/nagios/plugins/check_load -r -w 15,10,05 -c 30,25,20

Comment 14 Fedora Update System 2018-07-25 21:35:34 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e9863b9c35

Comment 15 Fedora Update System 2018-07-25 22:24:19 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c191412de6

Comment 16 Fedora Update System 2018-07-25 22:25:05 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ef3a8e1152

Comment 17 Fedora Update System 2018-07-26 12:19:49 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ef3a8e1152

Comment 18 Fedora Update System 2018-07-26 14:51:50 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c191412de6

Comment 19 Fedora Update System 2018-07-26 16:28:52 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e9863b9c35

Comment 20 Fedora Update System 2018-10-23 18:56:56 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-a23e2a2eed

Comment 21 Fedora Update System 2018-10-25 21:17:25 UTC
nagios-plugins-2.2.1-14.20180725git3429dad.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-a23e2a2eed

Comment 22 Ben Cotton 2018-11-27 13:55:31 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 23 Fedora Update System 2018-12-13 19:31:35 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-732d31ad86

Comment 24 Fedora Update System 2018-12-30 03:11:52 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2019-03-12 13:41:37 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7bf33722b6

Comment 26 Fedora Update System 2019-03-12 23:01:55 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-7bf33722b6

Comment 27 Fedora Update System 2019-04-06 20:22:58 UTC
nagios-plugins-2.2.1-15.20180725git3429dad.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.